// Tooltips positioning.
let c_tooltips = document.querySelectorAll(".cache_tooltip");
c_tooltips.forEach(function (c_tooltip, index) {
  c_tooltip.addEventListener("mouseover", position_tooltip);
})

function position_tooltip(){
  // Get tooltip text sibling
  let tooltip = this.parentNode.querySelector(".cache_tooltiptext");

  // Get calculated c_tooltip coordinates and size
  let c_tooltip_rect = this.getBoundingClientRect();

  let tipX = c_tooltip_rect.width + 5;
  let tipY = -40;

  tooltip.style.top = tipY + 'px';
  tooltip.style.left = tipX + 'px';

  // Get calculated c_tooltip coordinates and size
  let tooltip_rect = tooltip.getBoundingClientRect();
  // Corrections if out of window
  if ((tooltip_rect.x + tooltip_rect.width) > window.innerWidth) {
    tipX = -tooltip_rect.width - 5;
  }
  if (tooltip_rect.y < 0) {
    tipY = tipY - tooltip_rect.y;
  }

  tooltip.style.top = tipY + 'px';
  tooltip.style.left = tipX + 'px';
}
